Bug 89181 - IBM Java (jdk jre javac) crash & burn
IBM Java (jdk jre javac) crash & burn
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-04-19 09:02 EDT by Anders Domeij
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-21 04:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anders Domeij 2003-04-19 09:02:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
After upgrading from ver 8.0 to 9.0 and running up2date to get the latest ver 9
fixes (problem occured immediately after upgrade), I can't run any Java programs
that ran before he upgrade.
Neiether Websphere Studio Application Developer (i.e IBM JDK 1.3 "J2RE 1.3.1 IBM
build cxia32131-20020622") will run receives a segmentation fault.
Commandline java with IBM JDK 1.3.1 ("J2RE 1.3.1 IBM build cxia32131-20021102")
will not run either. Running the Java2D sample for instance immediately exits
with "Segmentation fault (core dumped)" programs.
Just trying to compile a java program with IBM's JDK 1.4
("J2RE 1.4.0 IBM build cxia32140-20020917a") will not run eithergives a message:
"JVMDG217: Dump Handler is Processing a Signal - Please Wait" and then hogs the
CPU 100% (or more) and the process must be stopped with a 'kill -9' signal.

From some past bugzilla reports I have guessed hat the component involved is
glibc but I haven't verified it in any way...



Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start WSAD or
2.Run IBM JDK 1.3.1 Java2D sample or
3.try to compile a java program with IBM JDK 1.4

Actual Results:  Segmentation faults/core dumps/CPU hogging

Expected Results:  I would expect java to function in ver 9 too :-)

Additional info:
Comment 1 Michael Lee Yohe 2003-04-20 15:17:47 EDT
Please note that with the kernel that ships with Red Hat Linux 9 comes a new
threading system which "breaks" non-true-POSIX compliant code (which includes
various JVMs).  Read your release notes and search for "java" and the
workarounds to attempt to get buggy JVMs to work under Red Hat Linux 9 (or
simply upgrade to the manufacturer's latest JVM that has been tested with
NPTL-enabled kernels).
Comment 2 Jakub Jelinek 2003-04-21 04:55:42 EDT
Right, please read RELEASE-NOTES.

Note You need to log in before you can comment on or make changes to this bug.